<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SSCellRange (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SSCellRange (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSCellRange.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/SheetUtil.html" title="class in org.apache.poi.ss.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/WorkbookUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/SSCellRange.html" target="_top">Frames</a></li>
        <li><a href="SSCellRange.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class SSCellRange" class="title">Class SSCellRange&lt;K extends <a
            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.util.SSCellRange&lt;K&gt;</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;K&gt;, <a href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                        title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;K&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">SSCellRange&lt;K extends <a
                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
              title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;K&gt;</pre>
                <div class="block">For POI internal use only</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static &lt;B extends <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;<br><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="class in org.apache.poi.ss.util">SSCellRange</a>&lt;B&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#create-int-int-int-int-java.util.List-java.lang.Class-">create</a></span>(int&nbsp;firstRow,
                                    int&nbsp;firstColumn,
                                    int&nbsp;height,
                                    int&nbsp;width,
                                    java.util.List&lt;B&gt;&nbsp;flattenedList,
                                    java.lang.Class&lt;B&gt;&nbsp;cellClass)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getCell-int-int-">getCell</a></span>(int&nbsp;relativeRowIndex,
                                    int&nbsp;relativeColumnIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a>[][]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getCells--">getCells</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getFlattenedCells--">getFlattenedCells</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getHeight--">getHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getReferenceText--">getReferenceText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getTopLeftCell--">getTopLeftCell</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html#size--">size</a></span>()</code>
                                    <div class="block">Gets the number of cells in this range.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create-int-int-int-int-java.util.List-java.lang.Class-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;&lt;B extends <a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="class in org.apache.poi.ss.util">SSCellRange</a>&lt;B&gt;&nbsp;create(int&nbsp;firstRow,
                                                     int&nbsp;firstColumn,
                                                     int&nbsp;height,
                                                     int&nbsp;width,
                                                     java.util.List&lt;B&gt;&nbsp;flattenedList,
                                                     java.lang.Class&lt;B&gt;&nbsp;cellClass)</pre>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;int&nbsp;getHeight()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>public&nbsp;int&nbsp;getWidth()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getWidth--">getWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="size--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>size</h4>
                                <pre>public&nbsp;int&nbsp;size()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#size--">CellRange</a></code></span>
                                </div>
                                <div class="block">Gets the number of cells in this range.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#size--">size</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><tt>height * width </tt></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getReferenceText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getReferenceText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getReferenceText()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getReferenceText--">getReferenceText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text format of this range. Single cell ranges are formatted
                                        like single cell references (e.g. 'A1' instead of 'A1:A1').
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTopLeftCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopLeftCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                    title="type parameter in SSCellRange">K</a>&nbsp;getTopLeftCell()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getTopLeftCell--">getTopLeftCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell at relative coordinates (0,0). Never <code>null</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                    title="type parameter in SSCellRange">K</a>&nbsp;getCell(int&nbsp;relativeRowIndex,
                 int&nbsp;relativeColumnIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getCell-int-int-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>relativeRowIndex</code> - must be between <tt>0</tt> and <tt>height-1</tt>
                                    </dd>
                                    <dd><code>relativeColumnIndex</code> - must be between <tt>0</tt> and
                                        <tt>width-1</tt></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell at the specified coordinates. Never <code>null</code>.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlattenedCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlattenedCells</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                    title="type parameter in SSCellRange">K</a>[]&nbsp;getFlattenedCells()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getFlattenedCells--">getFlattenedCells</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a flattened array of all the cells in this <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>CellRange</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCells</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                    title="type parameter in SSCellRange">K</a>[][]&nbsp;getCells()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#getCells--">getCells</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a 2-D array of all the cells in this <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>CellRange</code></a>.
                                        The first
                                        array dimension is the row index (values <tt>0...height-1</tt>)
                                        and the second dimension is the column index (values <tt>0...width-1</tt>)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                        title="type parameter in SSCellRange">K</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                            title="type parameter in SSCellRange">K</a> extends <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellRange.html#iterator--">iterator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                                title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;<a
                                                href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                                title="type parameter in SSCellRange">K</a> extends <a
                                                href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an <code>Iterator</code> over all cells in this range. Iteration starts
                                        with all cells in the first row followed by all cells in the next row, etc.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSCellRange.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/SheetUtil.html" title="class in org.apache.poi.ss.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/WorkbookUtil.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/SSCellRange.html" target="_top">Frames</a></li>
        <li><a href="SSCellRange.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
